FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2024 PLD Team
$Revision: 1.37 $
Powered by foobar.
Your IP: 3.238.121.7

almanah c9059723-aafa-4936-bd11-46d5682b14cf

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/i686/FAIL/almanah,c9059723-aafa-4936-bd11-46d5682b14cf.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2023/05/30 05:48:58
Runtime:0:00:02.612555

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.nejonpyi/BUILD/tmp/rpm-tmp.Z3Gcp4
  • build
  • Executing(%build): /bin/sh -e /tmp/B.nejonpyi/BUILD/tmp/rpm-tmp.W8P3xA
  • error 4
  • data/meson.build:2:5: ERROR: Function does not take positional arguments.
  • error 5
  • error: Bad exit status from /tmp/B.nejonpyi/BUILD/tmp/rpm-tmp.W8P3xA (%build)
  • error 6
  • RPM build errors:
  • error 7
  • error: No files produced.

Content:

request from: qboosh
checking if we should skip the build
started at: Tue May 30 05:48:40 2023
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/c9059723-aafa-4936-bd11-46d5682b14cf/almanah-0.12.3-3.src.rpm
fetched 506174 bytes, 1370.5 K/s
installing srpm: almanah-0.12.3-3.src.rpm
+ install -d /tmp/B.nejonpyi/BUILD /tmp/B.nejonpyi/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog almanah-0.12.3-3.src.rpm
* Tue May 30 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/almanah.git;a=log;h=master
* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 5fc97ca
- rebuild with separate debuginfo build-ids * Mon Apr 05 2021 Jan Rękorajski <baggins@pld-linux.org> a6eb06e
- release 2 (by relup.sh) * Fri Mar 05 2021 Jakub Bogusz <qboosh@pld-linux.org> cbc4127
- updated to 0.12.3 * Thu Sep 24 2020 Jakub Bogusz <qboosh@pld-linux.org> c41720a
- release 2 (e-d-s 3.38) * Thu Sep 03 2020 Jakub Bogusz <qboosh@pld-linux.org> df43bea
- updated to 0.12.2 * Sat Oct 19 2019 Jakub Bogusz <qboosh@pld-linux.org> a024631
- updated to 0.12.0 (support for evolution 3.33+; uses meson now) * Sat Oct 19 2019 Jan Rękorajski <baggins@pld-linux.org> fac7a25
- release 6 (by relup.sh) * Sun Apr 21 2019 Jan Rękorajski <baggins@pld-linux.org> 0e6e0a9
- fix files - rel 5 * Tue Mar 20 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 85afc49
- Release 4 * Fri Sep 29 2017 Marcin Banasiak <marcin.banasiak@gmail.com> da0883d
- release 3 (by relup.sh) * Sat Oct 15 2016 Jan Rękorajski <baggins@pld-linux.org> 359b704
- release 2 (by relup.sh) * Wed Feb 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 854bc1f
- initial + rpm -Uhv --nodeps --define '_topdir /tmp/B.nejonpyi' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' almanah-0.12.3-3.src.rpm Updating / installing... almanah-0.12.3-3 ######################################## + rm -f almanah-0.12.3-3.src.rpm + install -m 700 -d /tmp/B.nejonpyi/BUILD/tmp + TMPDIR=/tmp/B.nejonpyi/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.nejonpyi' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target i686-pld-linux --define 'prep exit 0' /tmp/B.nejonpyi/almanah.spec warning: Could not canonicalize hostname: nereid Building target platforms: i686-pld-linux Building for target i686-pld-linux RPM build warnings: Could not canonicalize hostname: nereid checking BuildConflict-ing packages rpm: warning: Could not canonicalize hostname: nereid rpm: error: Failed build dependencies: rpm: gtkspell3-devel >= 3.0 is needed by almanah-0.12.3-3.i686 rpm: libcryptui-devel is needed by almanah-0.12.3-3.i686 rpm: Building target platforms: i686-pld-linux rpm: Building for target i686-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: nereid no BuildConflicts found checking BR rpm: warning: Could not canonicalize hostname: nereid rpm: error: Failed build dependencies: rpm: gtkspell3-devel >= 3.0 is needed by almanah-0.12.3-3.i686 rpm: libcryptui-devel is needed by almanah-0.12.3-3.i686 rpm: Building target platforms: i686-pld-linux rpm: Building for target i686-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: nereid updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 34895 packages read poldek: Removed 4279 duplicate packages from available set poldek: Processing dependencies... poldek: gtkspell3-devel-3.0.10-1 marks gtkspell3-3.0.10-1 (cap gtkspell3 = 3.0.10-1) poldek: libcryptui-devel-3.12.2-2 marks libcryptui-3.12.2-2 (cap libcryptui = 3.12.2-2) poldek: There are 4 packages to install (2 marked by dependencies): poldek: A gtkspell3-3.0.10-1 gtkspell3-devel-3.0.10-1 libcryptui-3.12.2-2 poldek: A libcryptui-devel-3.12.2-2 poldek: This operation will use 4.2MB of disk space. poldek: Need to get 686.6KB of archives (686.6KB to download). poldek: poldek: Retrieving [1/4] th::gtkspell3-3.0.10-1.i686.rpm...........................................done poldek: Retrieving [2/4] th::gtkspell3-devel-3.0.10-1.i686.rpm.....................................done poldek: Retrieving [3/4] th::libcryptui-3.12.2-2.i686.rpm..........................................done poldek: Retrieving [4/4] th::libcryptui-devel-3.12.2-2.i686.rpm....................................done poldek: gtkspell3-3.0.10-1.i686.rpm: digests OK poldek: gtkspell3-devel-3.0.10-1.i686.rpm: digests OK poldek: libcryptui-3.12.2-2.i686.rpm: digests OK poldek: libcryptui-devel-3.12.2-2.i686.rpm: digests OK poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 0... poldek: warning: /root/.cache/poldek/ftp_ftp1.pld-linux.org.dists.th.PLD.i686.RPMS/gtkspell3-3.0.10-1.i686.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY poldek: Verifying... ######################################## poldek: Preparing... ######################################## no conflicts found checking BR rpm: warning: Could not canonicalize hostname: nereid rpm: error: Failed build dependencies: rpm: gtkspell3-devel >= 3.0 is needed by almanah-0.12.3-3.i686 rpm: libcryptui-devel is needed by almanah-0.12.3-3.i686 rpm: Building target platforms: i686-pld-linux rpm: Building for target i686-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: nereid installing BR: gtkspell3\-devel libcryptui\-devel + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' '--ignore=php81-*' '--ignore=php82-*' --upgrade gtkspell3-devel libcryptui-devel Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 34895 packages read Removed 4279 duplicate packages from available set Processing dependencies... gtkspell3-devel-3.0.10-1 marks gtkspell3-3.0.10-1 (cap gtkspell3 = 3.0.10-1) There are 2 packages to install (1 marked by dependencies): A gtkspell3-3.0.10-1 gtkspell3-devel-3.0.10-1 This operation will use 60.8KB of disk space. gtkspell3-devel-3.0.10-1.i686.rpm: digests OK gtkspell3-3.0.10-1.i686.rpm: digests OK Need to get 23.6KB of archives. gtkspell3-3.0.10-1.i686.rpm: digests OK gtkspell3-devel-3.0.10-1.i686.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.cache/poldek/ftp_ftp1.pld-linux.org.dists.th.PLD.i686.RPMS/gtkspell3-3.0.10-1.i686.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... gtkspell3-3.0.10-1 ######################################## gtkspell3-devel-3.0.10-1 ######################################## Installing set #2 Processing dependencies... libcryptui-devel-3.12.2-2 marks libcryptui-3.12.2-2 (cap libcryptui = 3.12.2-2) There are 2 packages to install (1 marked by dependencies): A libcryptui-3.12.2-2 libcryptui-devel-3.12.2-2 This operation will use 4.1MB of disk space. libcryptui-devel-3.12.2-2.i686.rpm: digests OK libcryptui-3.12.2-2.i686.rpm: digests OK Need to get 663.0KB of archives. libcryptui-3.12.2-2.i686.rpm: digests OK libcryptui-devel-3.12.2-2.i686.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.cache/poldek/ftp_ftp1.pld-linux.org.dists.th.PLD.i686.RPMS/libcryptui-3.12.2-2.i686.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... libcryptui-3.12.2-2 ######################################## Warning: Schema ?org.gnome.crypto.pgp? has path ?/desktop/gnome/crypto/pgp/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.seahorse.recipients? has path ?/apps/seahorse/recipients/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.locale? has path ?/system/locale/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy? has path ?/system/proxy/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.http? has path ?/system/proxy/http/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.https? has path ?/system/proxy/https/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.ftp? has path ?/system/proxy/ftp/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.socks? has path ?/system/proxy/socks/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. libcryptui-devel-3.12.2-2 ######################################## building RPM using: set -ex; : build-id: c9059723-aafa-4936-bd11-46d5682b14cf; TMPDIR=/tmp/B.nejonpyi/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '__jobs 28' --define '_smp_mflags -j28' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.nejonpyi' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target i686-pld-linux /tmp/B.nejonpyi/almanah.spec + : build-id: c9059723-aafa-4936-bd11-46d5682b14cf + TMPDIR=/tmp/B.nejonpyi/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '__jobs 28' --define '_smp_mflags -j28' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.nejonpyi' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target i686-pld-linux /tmp/B.nejonpyi/almanah.spec warning: Could not canonicalize hostname: nereid Building target platforms: i686-pld-linux Building for target i686-pld-linux Executing(%prep): /bin/sh -e /tmp/B.nejonpyi/BUILD/tmp/rpm-tmp.Z3Gcp4 + umask 022 + cd /tmp/B.nejonpyi/BUILD + cd /tmp/B.nejonpyi/BUILD + rm -rf almanah-0.12.3 + /usr/bin/xz -dc /tmp/B.nejonpyi/almanah-0.12.3.tar.xz + /bin/tar -xof - + STATUS=0 + '[' 0 -ne 0 ']' + cd almanah-0.12.3 + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + RPM_EC=0 + jobs -p + exit 0 Executing(%build): /bin/sh -e /tmp/B.nejonpyi/BUILD/tmp/rpm-tmp.W8P3xA TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/bin:/usr/bin:/usr/local/bin:/home/users/builder/bin TMPDIR=/tmp/B.nejonpyi/BUILD/tmp + umask 022 + cd /tmp/B.nejonpyi/BUILD + cd almanah-0.12.3 + CC=i686-pld-linux-gcc CXX=i686-pld-linux-g++ CFLAGS='-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' CPPFLAGS='' CXXFLAGS='-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' LDFLAGS='-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' RUSTC=/usr/bin/rustc RUSTFLAGS='-C debuginfo=2 -C strip=none --target i686-unknown-linux-gnu' LC_ALL=C.UTF-8 /usr/bin/meson '--buildtype=plain' '--bindir=/usr/bin' '--datadir=/usr/share' '--includedir=/usr/include' '--infodir=/usr/share/info' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localedir=/usr/share/locale' '--localstatedir=/var' '--mandir=/usr/share/man' '--prefix=/usr' '--sbindir=/usr/sbin' '--sharedstatedir=/var/lib' '--sysconfdir=/etc' '--wrap-mode=nodownload' '--default-library=both' build The Meson build system Version: 1.0.1 Source dir: /tmp/B.nejonpyi/BUILD/almanah-0.12.3 Build dir: /tmp/B.nejonpyi/BUILD/almanah-0.12.3/build Build type: native build Project name: almanah Project version: 0.12.3 C compiler for the host machine: i686-pld-linux-gcc (gcc 13.1.0 "i686-pld-linux-gcc (PLD-Linux) 13.1.0 20230428 (release)") C linker for the host machine: i686-pld-linux-gcc ld.bfd 2.40 Host machine cpu family: x86 Host machine cpu: i686 Program python3 found: YES (/usr/bin/python3) Found pkg-config: /usr/bin/pkg-config (0.29.2) Run-time dependency glib-2.0 found: YES 2.76.3 Run-time dependency gtk+-3.0 found: YES 3.24.38 Run-time dependency gmodule-2.0 found: YES 2.76.3 Run-time dependency gthread-2.0 found: YES 2.76.3 Run-time dependency gio-2.0 found: YES 2.76.3 Run-time dependency gtksourceview-3.0 found: YES 3.24.11 Run-time dependency sqlite3 found: YES 3.42.0 Run-time dependency cairo found: YES 1.16.0 Run-time dependency atk found: YES 2.48.3 Run-time dependency gcr-base-3 found: YES 3.41.1 Run-time dependency cryptui-0.0 found: YES 3.12.2 Run-time dependency gpgme found: YES 1.20.0 Run-time dependency libecal-2.0 found: YES 3.46.4 Run-time dependency libedataserver-1.2 found: YES 3.46.4 Run-time dependency gtkspell3-3.0 found: YES 3.0.10 Program appstream-util found: YES (/usr/bin/appstream-util) Program desktop-file-validate found: YES (/usr/bin/desktop-file-validate) Configuring config.h.in using configuration data/meson.build:2:5: ERROR: Function does not take positional arguments. A full log can be found at /tmp/B.nejonpyi/BUILD/almanah-0.12.3/build/meson-logs/meson-log.txt WARNING: Running the setup command as `meson [options]` instead of `meson setup [options]` is ambiguous and deprecated. error: Bad exit status from /tmp/B.nejonpyi/BUILD/tmp/rpm-tmp.W8P3xA (%build) RPM build warnings: Could not canonicalize hostname: nereid RPM build errors: Bad exit status from /tmp/B.nejonpyi/BUILD/tmp/rpm-tmp.W8P3xA (%build) ended at: Tue May 30 05:48:58 2023, done in 0:00:02.612555 error: No files produced. + chmod -R u+rwX /tmp/B.nejonpyi/BUILD + rm -rf /tmp/B.nejonpyi/tmp /tmp/B.nejonpyi/BUILD + rm -rf /tmp/B.nejonpyi Begin-PLD-Builder-Info Build-Time: user:10.56s sys:3.60s real:18.07s (faults io:32 non-io:496152) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]